jm.constants

## Interface Pitches

- All Known Subinterfaces:
    JMC
  All Known Implementing Classes:
    Add, ADSR, AllFGTR, AllPass, Audio, AudioObject, AudioSampleInst, BassStave, Comb, Compressor, CPhrase, Delay, Envelope, FFT, FGTR, Filter, Grain2, GrandStave, Granulator, HelperGUI, Histogram, HistogramFrame, Instrument, InverseFFT, Invert, JGrandStave, JStaveActionHandler, MidiParser, MidiSynth, MidiUtil, Mod, Multiply, Noise, Notate, NoteBuffer, NoteBufferReversed, Oscillator, Part, Phrase, PhraseMatrix, PianoStave, Play, Pluck, PrintOut, Read, ReSample, RTIn, RTPhrase, SampleIn, SampleOut, Score, SketchScoreArea, SMF, Smooth, Splitter, Spring, Stave, StaveActionHandler, StereoPan, TapDelay, TextIn, TrebleStave, Value, View, Volume, WaveFileReader, Wavelet, Waveshaper, WaveTable, Window, Write

      public interface Pitches

  An interface storing pitch constants.
  See Also:
    `Note`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `a0`
    `static int` | `A0`
    `static int` | `a1`
    `static int` | `A1`
    `static int` | `a2`
    `static int` | `A2`
    `static int` | `a3`
    `static int` | `A3`
    `static int` | `a4`
    `static int` | `A4`
    `static int` | `a5`
    `static int` | `A5`
    `static int` | `a6`
    `static int` | `A6`
    `static int` | `a7`
    `static int` | `A7`
    `static int` | `a8`
    `static int` | `A8`
    `static int` | `af0`
    `static int` | `AF0`
    `static int` | `af1`
    `static int` | `AF1`
    `static int` | `af2`
    `static int` | `AF2`
    `static int` | `af3`
    `static int` | `AF3`
    `static int` | `af4`
    `static int` | `AF4`
    `static int` | `af5`
    `static int` | `AF5`
    `static int` | `af6`
    `static int` | `AF6`
    `static int` | `af7`
    `static int` | `AF7`
    `static int` | `af8`
    `static int` | `AF8`
    `static int` | `afn1`
    `static int` | `AFN1`
    `static int` | `an1`
    `static int` | `AN1`
    `static int` | `as0`
    `static int` | `AS0`
    `static int` | `as1`
    `static int` | `AS1`
    `static int` | `as2`
    `static int` | `AS2`
    `static int` | `as3`
    `static int` | `AS3`
    `static int` | `as4`
    `static int` | `AS4`
    `static int` | `as5`
    `static int` | `AS5`
    `static int` | `as6`
    `static int` | `AS6`
    `static int` | `as7`
    `static int` | `AS7`
    `static int` | `as8`
    `static int` | `AS8`
    `static int` | `asn1`
    `static int` | `ASN1`
    `static int` | `b0`
    `static int` | `B0`
    `static int` | `b1`
    `static int` | `B1`
    `static int` | `b2`
    `static int` | `B2`
    `static int` | `b3`
    `static int` | `B3`
    `static int` | `b4`
    `static int` | `B4`
    `static int` | `b5`
    `static int` | `B5`
    `static int` | `b6`
    `static int` | `B6`
    `static int` | `b7`
    `static int` | `B7`
    `static int` | `b8`
    `static int` | `B8`
    `static int` | `bf0`
    `static int` | `BF0`
    `static int` | `bf1`
    `static int` | `BF1`
    `static int` | `bf2`
    `static int` | `BF2`
    `static int` | `bf3`
    `static int` | `BF3`
    `static int` | `bf4`
    `static int` | `BF4`
    `static int` | `bf5`
    `static int` | `BF5`
    `static int` | `bf6`
    `static int` | `BF6`
    `static int` | `bf7`
    `static int` | `BF7`
    `static int` | `bf8`
    `static int` | `BF8`
    `static int` | `bfn1`
    `static int` | `BFN1`
    `static int` | `bn1`
    `static int` | `BN1`
    `static int` | `bs0`
    `static int` | `BS0`
    `static int` | `bs1`
    `static int` | `BS1`
    `static int` | `bs2`
    `static int` | `BS2`
    `static int` | `bs3`
    `static int` | `BS3`
    `static int` | `bs4`
    `static int` | `BS4`
    `static int` | `bs5`
    `static int` | `BS5`
    `static int` | `bs6`
    `static int` | `BS6`
    `static int` | `bs7`
    `static int` | `BS7`
    `static int` | `bs8`
    `static int` | `BS8`
    `static int` | `bsn1`
    `static int` | `BSN1`
    `static int` | `c0`
    `static int` | `C0`
    `static int` | `c1`
    `static int` | `C1`
    `static int` | `c2`
    `static int` | `C2`
    `static int` | `c3`
    `static int` | `C3`
    `static int` | `c4`
    `static int` | `C4`
    `static int` | `c5`
    `static int` | `C5`
    `static int` | `c6`
    `static int` | `C6`
    `static int` | `c7`
    `static int` | `C7`
    `static int` | `c8`
    `static int` | `C8`
    `static int` | `c9`
    `static int` | `C9`
    `static int` | `cf0`
    `static int` | `CF0`
    `static int` | `cf1`
    `static int` | `CF1`
    `static int` | `cf2`
    `static int` | `CF2`
    `static int` | `cf3`
    `static int` | `CF3`
    `static int` | `cf4`
    `static int` | `CF4`
    `static int` | `cf5`
    `static int` | `CF5`
    `static int` | `cf6`
    `static int` | `CF6`
    `static int` | `cf7`
    `static int` | `CF7`
    `static int` | `cf8`
    `static int` | `CF8`
    `static int` | `cf9`
    `static int` | `CF9`
    `static int` | `cn1`
    `static int` | `CN1`
    `static int` | `cs0`
    `static int` | `CS0`
    `static int` | `cs1`
    `static int` | `CS1`
    `static int` | `cs2`
    `static int` | `CS2`
    `static int` | `cs3`
    `static int` | `CS3`
    `static int` | `cs4`
    `static int` | `CS4`
    `static int` | `cs5`
    `static int` | `CS5`
    `static int` | `cs6`
    `static int` | `CS6`
    `static int` | `cs7`
    `static int` | `CS7`
    `static int` | `cs8`
    `static int` | `CS8`
    `static int` | `cs9`
    `static int` | `CS9`
    `static int` | `csn1`
    `static int` | `CSN1`
    `static int` | `d0`
    `static int` | `D0`
    `static int` | `d1`
    `static int` | `D1`
    `static int` | `d2`
    `static int` | `D2`
    `static int` | `d3`
    `static int` | `D3`
    `static int` | `d4`
    `static int` | `D4`
    `static int` | `d5`
    `static int` | `D5`
    `static int` | `d6`
    `static int` | `D6`
    `static int` | `d7`
    `static int` | `D7`
    `static int` | `d8`
    `static int` | `D8`
    `static int` | `d9`
    `static int` | `D9`
    `static int` | `df0`
    `static int` | `DF0`
    `static int` | `df1`
    `static int` | `DF1`
    `static int` | `df2`
    `static int` | `DF2`
    `static int` | `df3`
    `static int` | `DF3`
    `static int` | `df4`
    `static int` | `DF4`
    `static int` | `df5`
    `static int` | `DF5`
    `static int` | `df6`
    `static int` | `DF6`
    `static int` | `df7`
    `static int` | `DF7`
    `static int` | `df8`
    `static int` | `DF8`
    `static int` | `df9`
    `static int` | `DF9`
    `static int` | `dfn1`
    `static int` | `DFN1`
    `static int` | `dn1`
    `static int` | `DN1`
    `static int` | `ds0`
    `static int` | `DS0`
    `static int` | `ds1`
    `static int` | `DS1`
    `static int` | `ds2`
    `static int` | `DS2`
    `static int` | `ds3`
    `static int` | `DS3`
    `static int` | `ds4`
    `static int` | `DS4`
    `static int` | `ds5`
    `static int` | `DS5`
    `static int` | `ds6`
    `static int` | `DS6`
    `static int` | `ds7`
    `static int` | `DS7`
    `static int` | `ds8`
    `static int` | `DS8`
    `static int` | `ds9`
    `static int` | `DS9`
    `static int` | `dsn1`
    `static int` | `DSN1`
    `static int` | `e0`
    `static int` | `E0`
    `static int` | `e1`
    `static int` | `E1`
    `static int` | `e2`
    `static int` | `E2`
    `static int` | `e3`
    `static int` | `E3`
    `static int` | `e4`
    `static int` | `E4`
    `static int` | `e5`
    `static int` | `E5`
    `static int` | `e6`
    `static int` | `E6`
    `static int` | `e7`
    `static int` | `E7`
    `static int` | `e8`
    `static int` | `E8`
    `static int` | `e9`
    `static int` | `E9`
    `static int` | `ef0`
    `static int` | `EF0`
    `static int` | `ef1`
    `static int` | `EF1`
    `static int` | `ef2`
    `static int` | `EF2`
    `static int` | `ef3`
    `static int` | `EF3`
    `static int` | `ef4`
    `static int` | `EF4`
    `static int` | `ef5`
    `static int` | `EF5`
    `static int` | `ef6`
    `static int` | `EF6`
    `static int` | `ef7`
    `static int` | `EF7`
    `static int` | `ef8`
    `static int` | `EF8`
    `static int` | `ef9`
    `static int` | `EF9`
    `static int` | `efn1`
    `static int` | `EFN1`
    `static int` | `en1`
    `static int` | `EN1`
    `static int` | `es0`
    `static int` | `ES0`
    `static int` | `es1`
    `static int` | `ES1`
    `static int` | `es2`
    `static int` | `ES2`
    `static int` | `es3`
    `static int` | `ES3`
    `static int` | `es4`
    `static int` | `ES4`
    `static int` | `es5`
    `static int` | `ES5`
    `static int` | `es6`
    `static int` | `ES6`
    `static int` | `es7`
    `static int` | `ES7`
    `static int` | `es8`
    `static int` | `ES8`
    `static int` | `es9`
    `static int` | `ES9`
    `static int` | `esn1`
    `static int` | `ESN1`
    `static int` | `f0`
    `static int` | `F0`
    `static int` | `f1`
    `static int` | `F1`
    `static int` | `f2`
    `static int` | `F2`
    `static int` | `f3`
    `static int` | `F3`
    `static int` | `f4`
    `static int` | `F4`
    `static int` | `f5`
    `static int` | `F5`
    `static int` | `f6`
    `static int` | `F6`
    `static int` | `f7`
    `static int` | `F7`
    `static int` | `f8`
    `static int` | `F8`
    `static int` | `f9`
    `static int` | `F9`
    `static int` | `ff0`
    `static int` | `FF0`
    `static int` | `ff1`
    `static int` | `FF1`
    `static int` | `ff2`
    `static int` | `FF2`
    `static int` | `ff3`
    `static int` | `FF3`
    `static int` | `ff4`
    `static int` | `FF4`
    `static int` | `ff5`
    `static int` | `FF5`
    `static int` | `ff6`
    `static int` | `FF6`
    `static int` | `ff7`
    `static int` | `FF7`
    `static int` | `ff8`
    `static int` | `FF8`
    `static int` | `ff9`
    `static int` | `FF9`
    `static int` | `ffn1`
    `static int` | `FFN1`
    `static int` | `fn1`
    `static int` | `FN1`
    `static int` | `fs0`
    `static int` | `FS0`
    `static int` | `fs1`
    `static int` | `FS1`
    `static int` | `fs2`
    `static int` | `FS2`
    `static int` | `fs3`
    `static int` | `FS3`
    `static int` | `fs4`
    `static int` | `FS4`
    `static int` | `fs5`
    `static int` | `FS5`
    `static int` | `fs6`
    `static int` | `FS6`
    `static int` | `fs7`
    `static int` | `FS7`
    `static int` | `fs8`
    `static int` | `FS8`
    `static int` | `fs9`
    `static int` | `FS9`
    `static int` | `fsn1`
    `static int` | `FSN1`
    `static int` | `g0`
    `static int` | `G0`
    `static int` | `g1`
    `static int` | `G1`
    `static int` | `g2`
    `static int` | `G2`
    `static int` | `g3`
    `static int` | `G3`
    `static int` | `g4`
    `static int` | `G4`
    `static int` | `g5`
    `static int` | `G5`
    `static int` | `g6`
    `static int` | `G6`
    `static int` | `g7`
    `static int` | `G7`
    `static int` | `g8`
    `static int` | `G8`
    `static int` | `g9`
    `static int` | `G9`
    `static int` | `gf0`
    `static int` | `GF0`
    `static int` | `gf1`
    `static int` | `GF1`
    `static int` | `gf2`
    `static int` | `GF2`
    `static int` | `gf3`
    `static int` | `GF3`
    `static int` | `gf4`
    `static int` | `GF4`
    `static int` | `gf5`
    `static int` | `GF5`
    `static int` | `gf6`
    `static int` | `GF6`
    `static int` | `gf7`
    `static int` | `GF7`
    `static int` | `gf8`
    `static int` | `GF8`
    `static int` | `gf9`
    `static int` | `GF9`
    `static int` | `gfn1`
    `static int` | `GFN1`
    `static int` | `gn1`
    `static int` | `GN1`
    `static int` | `gs0`
    `static int` | `GS0`
    `static int` | `gs1`
    `static int` | `GS1`
    `static int` | `gs2`
    `static int` | `GS2`
    `static int` | `gs3`
    `static int` | `GS3`
    `static int` | `gs4`
    `static int` | `GS4`
    `static int` | `gs5`
    `static int` | `GS5`
    `static int` | `gs6`
    `static int` | `GS6`
    `static int` | `gs7`
    `static int` | `GS7`
    `static int` | `gs8`
    `static int` | `GS8`
    `static int` | `gsn1`
    `static int` | `GSN1`
    `static int` | `REST`

- - ### Field Detail

    - #### G9

          static final int G9

      See Also:
        Constant Field Values

    - #### GF9

          static final int GF9

      See Also:
        Constant Field Values

    - #### FS9

          static final int FS9

      See Also:
        Constant Field Values

    - #### F9

          static final int F9

      See Also:
        Constant Field Values

    - #### FF9

          static final int FF9

      See Also:
        Constant Field Values

    - #### ES9

          static final int ES9

      See Also:
        Constant Field Values

    - #### E9

          static final int E9

      See Also:
        Constant Field Values

    - #### EF9

          static final int EF9

      See Also:
        Constant Field Values

    - #### DS9

          static final int DS9

      See Also:
        Constant Field Values

    - #### D9

          static final int D9

      See Also:
        Constant Field Values

    - #### DF9

          static final int DF9

      See Also:
        Constant Field Values

    - #### CS9

          static final int CS9

      See Also:
        Constant Field Values

    - #### C9

          static final int C9

      See Also:
        Constant Field Values

    - #### CF9

          static final int CF9

      See Also:
        Constant Field Values

    - #### BS8

          static final int BS8

      See Also:
        Constant Field Values

    - #### B8

          static final int B8

      See Also:
        Constant Field Values

    - #### BF8

          static final int BF8

      See Also:
        Constant Field Values

    - #### AS8

          static final int AS8

      See Also:
        Constant Field Values

    - #### A8

          static final int A8

      See Also:
        Constant Field Values

    - #### AF8

          static final int AF8

      See Also:
        Constant Field Values

    - #### GS8

          static final int GS8

      See Also:
        Constant Field Values

    - #### G8

          static final int G8

      See Also:
        Constant Field Values

    - #### GF8

          static final int GF8

      See Also:
        Constant Field Values

    - #### FS8

          static final int FS8

      See Also:
        Constant Field Values

    - #### F8

          static final int F8

      See Also:
        Constant Field Values

    - #### FF8

          static final int FF8

      See Also:
        Constant Field Values

    - #### ES8

          static final int ES8

      See Also:
        Constant Field Values

    - #### E8

          static final int E8

      See Also:
        Constant Field Values

    - #### EF8

          static final int EF8

      See Also:
        Constant Field Values

    - #### DS8

          static final int DS8

      See Also:
        Constant Field Values

    - #### D8

          static final int D8

      See Also:
        Constant Field Values

    - #### DF8

          static final int DF8

      See Also:
        Constant Field Values

    - #### CS8

          static final int CS8

      See Also:
        Constant Field Values

    - #### C8

          static final int C8

      See Also:
        Constant Field Values

    - #### CF8

          static final int CF8

      See Also:
        Constant Field Values

    - #### BS7

          static final int BS7

      See Also:
        Constant Field Values

    - #### B7

          static final int B7

      See Also:
        Constant Field Values

    - #### BF7

          static final int BF7

      See Also:
        Constant Field Values

    - #### AS7

          static final int AS7

      See Also:
        Constant Field Values

    - #### A7

          static final int A7

      See Also:
        Constant Field Values

    - #### AF7

          static final int AF7

      See Also:
        Constant Field Values

    - #### GS7

          static final int GS7

      See Also:
        Constant Field Values

    - #### G7

          static final int G7

      See Also:
        Constant Field Values

    - #### GF7

          static final int GF7

      See Also:
        Constant Field Values

    - #### FS7

          static final int FS7

      See Also:
        Constant Field Values

    - #### F7

          static final int F7

      See Also:
        Constant Field Values

    - #### FF7

          static final int FF7

      See Also:
        Constant Field Values

    - #### ES7

          static final int ES7

      See Also:
        Constant Field Values

    - #### E7

          static final int E7

      See Also:
        Constant Field Values

    - #### EF7

          static final int EF7

      See Also:
        Constant Field Values

    - #### DS7

          static final int DS7

      See Also:
        Constant Field Values

    - #### D7

          static final int D7

      See Also:
        Constant Field Values

    - #### DF7

          static final int DF7

      See Also:
        Constant Field Values

    - #### CS7

          static final int CS7

      See Also:
        Constant Field Values

    - #### C7

          static final int C7

      See Also:
        Constant Field Values

    - #### CF7

          static final int CF7

      See Also:
        Constant Field Values

    - #### BS6

          static final int BS6

      See Also:
        Constant Field Values

    - #### B6

          static final int B6

      See Also:
        Constant Field Values

    - #### BF6

          static final int BF6

      See Also:
        Constant Field Values

    - #### AS6

          static final int AS6

      See Also:
        Constant Field Values

    - #### A6

          static final int A6

      See Also:
        Constant Field Values

    - #### AF6

          static final int AF6

      See Also:
        Constant Field Values

    - #### GS6

          static final int GS6

      See Also:
        Constant Field Values

    - #### G6

          static final int G6

      See Also:
        Constant Field Values

    - #### GF6

          static final int GF6

      See Also:
        Constant Field Values

    - #### FS6

          static final int FS6

      See Also:
        Constant Field Values

    - #### F6

          static final int F6

      See Also:
        Constant Field Values

    - #### FF6

          static final int FF6

      See Also:
        Constant Field Values

    - #### ES6

          static final int ES6

      See Also:
        Constant Field Values

    - #### E6

          static final int E6

      See Also:
        Constant Field Values

    - #### EF6

          static final int EF6

      See Also:
        Constant Field Values

    - #### DS6

          static final int DS6

      See Also:
        Constant Field Values

    - #### D6

          static final int D6

      See Also:
        Constant Field Values

    - #### DF6

          static final int DF6

      See Also:
        Constant Field Values

    - #### CS6

          static final int CS6

      See Also:
        Constant Field Values

    - #### C6

          static final int C6

      See Also:
        Constant Field Values

    - #### CF6

          static final int CF6

      See Also:
        Constant Field Values

    - #### BS5

          static final int BS5

      See Also:
        Constant Field Values

    - #### B5

          static final int B5

      See Also:
        Constant Field Values

    - #### BF5

          static final int BF5

      See Also:
        Constant Field Values

    - #### AS5

          static final int AS5

      See Also:
        Constant Field Values

    - #### A5

          static final int A5

      See Also:
        Constant Field Values

    - #### AF5

          static final int AF5

      See Also:
        Constant Field Values

    - #### GS5

          static final int GS5

      See Also:
        Constant Field Values

    - #### G5

          static final int G5

      See Also:
        Constant Field Values

    - #### GF5

          static final int GF5

      See Also:
        Constant Field Values

    - #### FS5

          static final int FS5

      See Also:
        Constant Field Values

    - #### F5

          static final int F5

      See Also:
        Constant Field Values

    - #### FF5

          static final int FF5

      See Also:
        Constant Field Values

    - #### ES5

          static final int ES5

      See Also:
        Constant Field Values

    - #### E5

          static final int E5

      See Also:
        Constant Field Values

    - #### EF5

          static final int EF5

      See Also:
        Constant Field Values

    - #### DS5

          static final int DS5

      See Also:
        Constant Field Values

    - #### D5

          static final int D5

      See Also:
        Constant Field Values

    - #### DF5

          static final int DF5

      See Also:
        Constant Field Values

    - #### CS5

          static final int CS5

      See Also:
        Constant Field Values

    - #### C5

          static final int C5

      See Also:
        Constant Field Values

    - #### CF5

          static final int CF5

      See Also:
        Constant Field Values

    - #### BS4

          static final int BS4

      See Also:
        Constant Field Values

    - #### B4

          static final int B4

      See Also:
        Constant Field Values

    - #### BF4

          static final int BF4

      See Also:
        Constant Field Values

    - #### AS4

          static final int AS4

      See Also:
        Constant Field Values

    - #### A4

          static final int A4

      See Also:
        Constant Field Values

    - #### AF4

          static final int AF4

      See Also:
        Constant Field Values

    - #### GS4

          static final int GS4

      See Also:
        Constant Field Values

    - #### G4

          static final int G4

      See Also:
        Constant Field Values

    - #### GF4

          static final int GF4

      See Also:
        Constant Field Values

    - #### FS4

          static final int FS4

      See Also:
        Constant Field Values

    - #### F4

          static final int F4

      See Also:
        Constant Field Values

    - #### FF4

          static final int FF4

      See Also:
        Constant Field Values

    - #### ES4

          static final int ES4

      See Also:
        Constant Field Values

    - #### E4

          static final int E4

      See Also:
        Constant Field Values

    - #### EF4

          static final int EF4

      See Also:
        Constant Field Values

    - #### DS4

          static final int DS4

      See Also:
        Constant Field Values

    - #### D4

          static final int D4

      See Also:
        Constant Field Values

    - #### DF4

          static final int DF4

      See Also:
        Constant Field Values

    - #### CS4

          static final int CS4

      See Also:
        Constant Field Values

    - #### C4

          static final int C4

      See Also:
        Constant Field Values

    - #### CF4

          static final int CF4

      See Also:
        Constant Field Values

    - #### BS3

          static final int BS3

      See Also:
        Constant Field Values

    - #### B3

          static final int B3

      See Also:
        Constant Field Values

    - #### BF3

          static final int BF3

      See Also:
        Constant Field Values

    - #### AS3

          static final int AS3

      See Also:
        Constant Field Values

    - #### A3

          static final int A3

      See Also:
        Constant Field Values

    - #### AF3

          static final int AF3

      See Also:
        Constant Field Values

    - #### GS3

          static final int GS3

      See Also:
        Constant Field Values

    - #### G3

          static final int G3

      See Also:
        Constant Field Values

    - #### GF3

          static final int GF3

      See Also:
        Constant Field Values

    - #### FS3

          static final int FS3

      See Also:
        Constant Field Values

    - #### F3

          static final int F3

      See Also:
        Constant Field Values

    - #### FF3

          static final int FF3

      See Also:
        Constant Field Values

    - #### ES3

          static final int ES3

      See Also:
        Constant Field Values

    - #### E3

          static final int E3

      See Also:
        Constant Field Values

    - #### EF3

          static final int EF3

      See Also:
        Constant Field Values

    - #### DS3

          static final int DS3

      See Also:
        Constant Field Values

    - #### D3

          static final int D3

      See Also:
        Constant Field Values

    - #### DF3

          static final int DF3

      See Also:
        Constant Field Values

    - #### CS3

          static final int CS3

      See Also:
        Constant Field Values

    - #### C3

          static final int C3

      See Also:
        Constant Field Values

    - #### CF3

          static final int CF3

      See Also:
        Constant Field Values

    - #### BS2

          static final int BS2

      See Also:
        Constant Field Values

    - #### B2

          static final int B2

      See Also:
        Constant Field Values

    - #### BF2

          static final int BF2

      See Also:
        Constant Field Values

    - #### AS2

          static final int AS2

      See Also:
        Constant Field Values

    - #### A2

          static final int A2

      See Also:
        Constant Field Values

    - #### AF2

          static final int AF2

      See Also:
        Constant Field Values

    - #### GS2

          static final int GS2

      See Also:
        Constant Field Values

    - #### G2

          static final int G2

      See Also:
        Constant Field Values

    - #### GF2

          static final int GF2

      See Also:
        Constant Field Values

    - #### FS2

          static final int FS2

      See Also:
        Constant Field Values

    - #### F2

          static final int F2

      See Also:
        Constant Field Values

    - #### FF2

          static final int FF2

      See Also:
        Constant Field Values

    - #### ES2

          static final int ES2

      See Also:
        Constant Field Values

    - #### E2

          static final int E2

      See Also:
        Constant Field Values

    - #### EF2

          static final int EF2

      See Also:
        Constant Field Values

    - #### DS2

          static final int DS2

      See Also:
        Constant Field Values

    - #### D2

          static final int D2

      See Also:
        Constant Field Values

    - #### DF2

          static final int DF2

      See Also:
        Constant Field Values

    - #### CS2

          static final int CS2

      See Also:
        Constant Field Values

    - #### C2

          static final int C2

      See Also:
        Constant Field Values

    - #### CF2

          static final int CF2

      See Also:
        Constant Field Values

    - #### BS1

          static final int BS1

      See Also:
        Constant Field Values

    - #### B1

          static final int B1

      See Also:
        Constant Field Values

    - #### BF1

          static final int BF1

      See Also:
        Constant Field Values

    - #### AS1

          static final int AS1

      See Also:
        Constant Field Values

    - #### A1

          static final int A1

      See Also:
        Constant Field Values

    - #### AF1

          static final int AF1

      See Also:
        Constant Field Values

    - #### GS1

          static final int GS1

      See Also:
        Constant Field Values

    - #### G1

          static final int G1

      See Also:
        Constant Field Values

    - #### GF1

          static final int GF1

      See Also:
        Constant Field Values

    - #### FS1

          static final int FS1

      See Also:
        Constant Field Values

    - #### F1

          static final int F1

      See Also:
        Constant Field Values

    - #### FF1

          static final int FF1

      See Also:
        Constant Field Values

    - #### ES1

          static final int ES1

      See Also:
        Constant Field Values

    - #### E1

          static final int E1

      See Also:
        Constant Field Values

    - #### EF1

          static final int EF1

      See Also:
        Constant Field Values

    - #### DS1

          static final int DS1

      See Also:
        Constant Field Values

    - #### D1

          static final int D1

      See Also:
        Constant Field Values

    - #### DF1

          static final int DF1

      See Also:
        Constant Field Values

    - #### CS1

          static final int CS1

      See Also:
        Constant Field Values

    - #### C1

          static final int C1

      See Also:
        Constant Field Values

    - #### CF1

          static final int CF1

      See Also:
        Constant Field Values

    - #### BS0

          static final int BS0

      See Also:
        Constant Field Values

    - #### B0

          static final int B0

      See Also:
        Constant Field Values

    - #### BF0

          static final int BF0

      See Also:
        Constant Field Values

    - #### AS0

          static final int AS0

      See Also:
        Constant Field Values

    - #### A0

          static final int A0

      See Also:
        Constant Field Values

    - #### AF0

          static final int AF0

      See Also:
        Constant Field Values

    - #### GS0

          static final int GS0

      See Also:
        Constant Field Values

    - #### G0

          static final int G0

      See Also:
        Constant Field Values

    - #### GF0

          static final int GF0

      See Also:
        Constant Field Values

    - #### FS0

          static final int FS0

      See Also:
        Constant Field Values

    - #### F0

          static final int F0

      See Also:
        Constant Field Values

    - #### FF0

          static final int FF0

      See Also:
        Constant Field Values

    - #### ES0

          static final int ES0

      See Also:
        Constant Field Values

    - #### E0

          static final int E0

      See Also:
        Constant Field Values

    - #### EF0

          static final int EF0

      See Also:
        Constant Field Values

    - #### DS0

          static final int DS0

      See Also:
        Constant Field Values

    - #### D0

          static final int D0

      See Also:
        Constant Field Values

    - #### DF0

          static final int DF0

      See Also:
        Constant Field Values

    - #### CS0

          static final int CS0

      See Also:
        Constant Field Values

    - #### C0

          static final int C0

      See Also:
        Constant Field Values

    - #### CF0

          static final int CF0

      See Also:
        Constant Field Values

    - #### BSN1

          static final int BSN1

      See Also:
        Constant Field Values

    - #### BN1

          static final int BN1

      See Also:
        Constant Field Values

    - #### BFN1

          static final int BFN1

      See Also:
        Constant Field Values

    - #### ASN1

          static final int ASN1

      See Also:
        Constant Field Values

    - #### AN1

          static final int AN1

      See Also:
        Constant Field Values

    - #### AFN1

          static final int AFN1

      See Also:
        Constant Field Values

    - #### GSN1

          static final int GSN1

      See Also:
        Constant Field Values

    - #### GN1

          static final int GN1

      See Also:
        Constant Field Values

    - #### GFN1

          static final int GFN1

      See Also:
        Constant Field Values

    - #### FSN1

          static final int FSN1

      See Also:
        Constant Field Values

    - #### FN1

          static final int FN1

      See Also:
        Constant Field Values

    - #### FFN1

          static final int FFN1

      See Also:
        Constant Field Values

    - #### ESN1

          static final int ESN1

      See Also:
        Constant Field Values

    - #### EN1

          static final int EN1

      See Also:
        Constant Field Values

    - #### EFN1

          static final int EFN1

      See Also:
        Constant Field Values

    - #### DSN1

          static final int DSN1

      See Also:
        Constant Field Values

    - #### DN1

          static final int DN1

      See Also:
        Constant Field Values

    - #### DFN1

          static final int DFN1

      See Also:
        Constant Field Values

    - #### CSN1

          static final int CSN1

      See Also:
        Constant Field Values

    - #### CN1

          static final int CN1

      See Also:
        Constant Field Values

    - #### g9

          static final int g9

      See Also:
        Constant Field Values

    - #### gf9

          static final int gf9

      See Also:
        Constant Field Values

    - #### fs9

          static final int fs9

      See Also:
        Constant Field Values

    - #### f9

          static final int f9

      See Also:
        Constant Field Values

    - #### ff9

          static final int ff9

      See Also:
        Constant Field Values

    - #### es9

          static final int es9

      See Also:
        Constant Field Values

    - #### e9

          static final int e9

      See Also:
        Constant Field Values

    - #### ef9

          static final int ef9

      See Also:
        Constant Field Values

    - #### ds9

          static final int ds9

      See Also:
        Constant Field Values

    - #### d9

          static final int d9

      See Also:
        Constant Field Values

    - #### df9

          static final int df9

      See Also:
        Constant Field Values

    - #### cs9

          static final int cs9

      See Also:
        Constant Field Values

    - #### c9

          static final int c9

      See Also:
        Constant Field Values

    - #### cf9

          static final int cf9

      See Also:
        Constant Field Values

    - #### bs8

          static final int bs8

      See Also:
        Constant Field Values

    - #### b8

          static final int b8

      See Also:
        Constant Field Values

    - #### bf8

          static final int bf8

      See Also:
        Constant Field Values

    - #### as8

          static final int as8

      See Also:
        Constant Field Values

    - #### a8

          static final int a8

      See Also:
        Constant Field Values

    - #### af8

          static final int af8

      See Also:
        Constant Field Values

    - #### gs8

          static final int gs8

      See Also:
        Constant Field Values

    - #### g8

          static final int g8

      See Also:
        Constant Field Values

    - #### gf8

          static final int gf8

      See Also:
        Constant Field Values

    - #### fs8

          static final int fs8

      See Also:
        Constant Field Values

    - #### f8

          static final int f8

      See Also:
        Constant Field Values

    - #### ff8

          static final int ff8

      See Also:
        Constant Field Values

    - #### es8

          static final int es8

      See Also:
        Constant Field Values

    - #### e8

          static final int e8

      See Also:
        Constant Field Values

    - #### ef8

          static final int ef8

      See Also:
        Constant Field Values

    - #### ds8

          static final int ds8

      See Also:
        Constant Field Values

    - #### d8

          static final int d8

      See Also:
        Constant Field Values

    - #### df8

          static final int df8

      See Also:
        Constant Field Values

    - #### cs8

          static final int cs8

      See Also:
        Constant Field Values

    - #### c8

          static final int c8

      See Also:
        Constant Field Values

    - #### cf8

          static final int cf8

      See Also:
        Constant Field Values

    - #### bs7

          static final int bs7

      See Also:
        Constant Field Values

    - #### b7

          static final int b7

      See Also:
        Constant Field Values

    - #### bf7

          static final int bf7

      See Also:
        Constant Field Values

    - #### as7

          static final int as7

      See Also:
        Constant Field Values

    - #### a7

          static final int a7

      See Also:
        Constant Field Values

    - #### af7

          static final int af7

      See Also:
        Constant Field Values

    - #### gs7

          static final int gs7

      See Also:
        Constant Field Values

    - #### g7

          static final int g7

      See Also:
        Constant Field Values

    - #### gf7

          static final int gf7

      See Also:
        Constant Field Values

    - #### fs7

          static final int fs7

      See Also:
        Constant Field Values

    - #### f7

          static final int f7

      See Also:
        Constant Field Values

    - #### ff7

          static final int ff7

      See Also:
        Constant Field Values

    - #### es7

          static final int es7

      See Also:
        Constant Field Values

    - #### e7

          static final int e7

      See Also:
        Constant Field Values

    - #### ef7

          static final int ef7

      See Also:
        Constant Field Values

    - #### ds7

          static final int ds7

      See Also:
        Constant Field Values

    - #### d7

          static final int d7

      See Also:
        Constant Field Values

    - #### df7

          static final int df7

      See Also:
        Constant Field Values

    - #### cs7

          static final int cs7

      See Also:
        Constant Field Values

    - #### c7

          static final int c7

      See Also:
        Constant Field Values

    - #### cf7

          static final int cf7

      See Also:
        Constant Field Values

    - #### bs6

          static final int bs6

      See Also:
        Constant Field Values

    - #### b6

          static final int b6

      See Also:
        Constant Field Values

    - #### bf6

          static final int bf6

      See Also:
        Constant Field Values

    - #### as6

          static final int as6

      See Also:
        Constant Field Values

    - #### a6

          static final int a6

      See Also:
        Constant Field Values

    - #### af6

          static final int af6

      See Also:
        Constant Field Values

    - #### gs6

          static final int gs6

      See Also:
        Constant Field Values

    - #### g6

          static final int g6

      See Also:
        Constant Field Values

    - #### gf6

          static final int gf6

      See Also:
        Constant Field Values

    - #### fs6

          static final int fs6

      See Also:
        Constant Field Values

    - #### f6

          static final int f6

      See Also:
        Constant Field Values

    - #### ff6

          static final int ff6

      See Also:
        Constant Field Values

    - #### es6

          static final int es6

      See Also:
        Constant Field Values

    - #### e6

          static final int e6

      See Also:
        Constant Field Values

    - #### ef6

          static final int ef6

      See Also:
        Constant Field Values

    - #### ds6

          static final int ds6

      See Also:
        Constant Field Values

    - #### d6

          static final int d6

      See Also:
        Constant Field Values

    - #### df6

          static final int df6

      See Also:
        Constant Field Values

    - #### cs6

          static final int cs6

      See Also:
        Constant Field Values

    - #### c6

          static final int c6

      See Also:
        Constant Field Values

    - #### cf6

          static final int cf6

      See Also:
        Constant Field Values

    - #### bs5

          static final int bs5

      See Also:
        Constant Field Values

    - #### b5

          static final int b5

      See Also:
        Constant Field Values

    - #### bf5

          static final int bf5

      See Also:
        Constant Field Values

    - #### as5

          static final int as5

      See Also:
        Constant Field Values

    - #### a5

          static final int a5

      See Also:
        Constant Field Values

    - #### af5

          static final int af5

      See Also:
        Constant Field Values

    - #### gs5

          static final int gs5

      See Also:
        Constant Field Values

    - #### g5

          static final int g5

      See Also:
        Constant Field Values

    - #### gf5

          static final int gf5

      See Also:
        Constant Field Values

    - #### fs5

          static final int fs5

      See Also:
        Constant Field Values

    - #### f5

          static final int f5

      See Also:
        Constant Field Values

    - #### ff5

          static final int ff5

      See Also:
        Constant Field Values

    - #### es5

          static final int es5

      See Also:
        Constant Field Values

    - #### e5

          static final int e5

      See Also:
        Constant Field Values

    - #### ef5

          static final int ef5

      See Also:
        Constant Field Values

    - #### ds5

          static final int ds5

      See Also:
        Constant Field Values

    - #### d5

          static final int d5

      See Also:
        Constant Field Values

    - #### df5

          static final int df5

      See Also:
        Constant Field Values

    - #### cs5

          static final int cs5

      See Also:
        Constant Field Values

    - #### c5

          static final int c5

      See Also:
        Constant Field Values

    - #### cf5

          static final int cf5

      See Also:
        Constant Field Values

    - #### bs4

          static final int bs4

      See Also:
        Constant Field Values

    - #### b4

          static final int b4

      See Also:
        Constant Field Values

    - #### bf4

          static final int bf4

      See Also:
        Constant Field Values

    - #### as4

          static final int as4

      See Also:
        Constant Field Values

    - #### a4

          static final int a4

      See Also:
        Constant Field Values

    - #### af4

          static final int af4

      See Also:
        Constant Field Values

    - #### gs4

          static final int gs4

      See Also:
        Constant Field Values

    - #### g4

          static final int g4

      See Also:
        Constant Field Values

    - #### gf4

          static final int gf4

      See Also:
        Constant Field Values

    - #### fs4

          static final int fs4

      See Also:
        Constant Field Values

    - #### f4

          static final int f4

      See Also:
        Constant Field Values

    - #### ff4

          static final int ff4

      See Also:
        Constant Field Values

    - #### es4

          static final int es4

      See Also:
        Constant Field Values

    - #### e4

          static final int e4

      See Also:
        Constant Field Values

    - #### ef4

          static final int ef4

      See Also:
        Constant Field Values

    - #### ds4

          static final int ds4

      See Also:
        Constant Field Values

    - #### d4

          static final int d4

      See Also:
        Constant Field Values

    - #### df4

          static final int df4

      See Also:
        Constant Field Values

    - #### cs4

          static final int cs4

      See Also:
        Constant Field Values

    - #### c4

          static final int c4

      See Also:
        Constant Field Values

    - #### cf4

          static final int cf4

      See Also:
        Constant Field Values

    - #### bs3

          static final int bs3

      See Also:
        Constant Field Values

    - #### b3

          static final int b3

      See Also:
        Constant Field Values

    - #### bf3

          static final int bf3

      See Also:
        Constant Field Values

    - #### as3

          static final int as3

      See Also:
        Constant Field Values

    - #### a3

          static final int a3

      See Also:
        Constant Field Values

    - #### af3

          static final int af3

      See Also:
        Constant Field Values

    - #### gs3

          static final int gs3

      See Also:
        Constant Field Values

    - #### g3

          static final int g3

      See Also:
        Constant Field Values

    - #### gf3

          static final int gf3

      See Also:
        Constant Field Values

    - #### fs3

          static final int fs3

      See Also:
        Constant Field Values

    - #### f3

          static final int f3

      See Also:
        Constant Field Values

    - #### ff3

          static final int ff3

      See Also:
        Constant Field Values

    - #### es3

          static final int es3

      See Also:
        Constant Field Values

    - #### e3

          static final int e3

      See Also:
        Constant Field Values

    - #### ef3

          static final int ef3

      See Also:
        Constant Field Values

    - #### ds3

          static final int ds3

      See Also:
        Constant Field Values

    - #### d3

          static final int d3

      See Also:
        Constant Field Values

    - #### df3

          static final int df3

      See Also:
        Constant Field Values

    - #### cs3

          static final int cs3

      See Also:
        Constant Field Values

    - #### c3

          static final int c3

      See Also:
        Constant Field Values

    - #### cf3

          static final int cf3

      See Also:
        Constant Field Values

    - #### bs2

          static final int bs2

      See Also:
        Constant Field Values

    - #### b2

          static final int b2

      See Also:
        Constant Field Values

    - #### bf2

          static final int bf2

      See Also:
        Constant Field Values

    - #### as2

          static final int as2

      See Also:
        Constant Field Values

    - #### a2

          static final int a2

      See Also:
        Constant Field Values

    - #### af2

          static final int af2

      See Also:
        Constant Field Values

    - #### gs2

          static final int gs2

      See Also:
        Constant Field Values

    - #### g2

          static final int g2

      See Also:
        Constant Field Values

    - #### gf2

          static final int gf2

      See Also:
        Constant Field Values

    - #### fs2

          static final int fs2

      See Also:
        Constant Field Values

    - #### f2

          static final int f2

      See Also:
        Constant Field Values

    - #### ff2

          static final int ff2

      See Also:
        Constant Field Values

    - #### es2

          static final int es2

      See Also:
        Constant Field Values

    - #### e2

          static final int e2

      See Also:
        Constant Field Values

    - #### ef2

          static final int ef2

      See Also:
        Constant Field Values

    - #### ds2

          static final int ds2

      See Also:
        Constant Field Values

    - #### d2

          static final int d2

      See Also:
        Constant Field Values

    - #### df2

          static final int df2

      See Also:
        Constant Field Values

    - #### cs2

          static final int cs2

      See Also:
        Constant Field Values

    - #### c2

          static final int c2

      See Also:
        Constant Field Values

    - #### cf2

          static final int cf2

      See Also:
        Constant Field Values

    - #### bs1

          static final int bs1

      See Also:
        Constant Field Values

    - #### b1

          static final int b1

      See Also:
        Constant Field Values

    - #### bf1

          static final int bf1

      See Also:
        Constant Field Values

    - #### as1

          static final int as1

      See Also:
        Constant Field Values

    - #### a1

          static final int a1

      See Also:
        Constant Field Values

    - #### af1

          static final int af1

      See Also:
        Constant Field Values

    - #### gs1

          static final int gs1

      See Also:
        Constant Field Values

    - #### g1

          static final int g1

      See Also:
        Constant Field Values

    - #### gf1

          static final int gf1

      See Also:
        Constant Field Values

    - #### fs1

          static final int fs1

      See Also:
        Constant Field Values

    - #### f1

          static final int f1

      See Also:
        Constant Field Values

    - #### ff1

          static final int ff1

      See Also:
        Constant Field Values

    - #### es1

          static final int es1

      See Also:
        Constant Field Values

    - #### e1

          static final int e1

      See Also:
        Constant Field Values

    - #### ef1

          static final int ef1

      See Also:
        Constant Field Values

    - #### ds1

          static final int ds1

      See Also:
        Constant Field Values

    - #### d1

          static final int d1

      See Also:
        Constant Field Values

    - #### df1

          static final int df1

      See Also:
        Constant Field Values

    - #### cs1

          static final int cs1

      See Also:
        Constant Field Values

    - #### c1

          static final int c1

      See Also:
        Constant Field Values

    - #### cf1

          static final int cf1

      See Also:
        Constant Field Values

    - #### bs0

          static final int bs0

      See Also:
        Constant Field Values

    - #### b0

          static final int b0

      See Also:
        Constant Field Values

    - #### bf0

          static final int bf0

      See Also:
        Constant Field Values

    - #### as0

          static final int as0

      See Also:
        Constant Field Values

    - #### a0

          static final int a0

      See Also:
        Constant Field Values

    - #### af0

          static final int af0

      See Also:
        Constant Field Values

    - #### gs0

          static final int gs0

      See Also:
        Constant Field Values

    - #### g0

          static final int g0

      See Also:
        Constant Field Values

    - #### gf0

          static final int gf0

      See Also:
        Constant Field Values

    - #### fs0

          static final int fs0

      See Also:
        Constant Field Values

    - #### f0

          static final int f0

      See Also:
        Constant Field Values

    - #### ff0

          static final int ff0

      See Also:
        Constant Field Values

    - #### es0

          static final int es0

      See Also:
        Constant Field Values

    - #### e0

          static final int e0

      See Also:
        Constant Field Values

    - #### ef0

          static final int ef0

      See Also:
        Constant Field Values

    - #### ds0

          static final int ds0

      See Also:
        Constant Field Values

    - #### d0

          static final int d0

      See Also:
        Constant Field Values

    - #### df0

          static final int df0

      See Also:
        Constant Field Values

    - #### cs0

          static final int cs0

      See Also:
        Constant Field Values

    - #### c0

          static final int c0

      See Also:
        Constant Field Values

    - #### cf0

          static final int cf0

      See Also:
        Constant Field Values

    - #### bsn1

          static final int bsn1

      See Also:
        Constant Field Values

    - #### bn1

          static final int bn1

      See Also:
        Constant Field Values

    - #### bfn1

          static final int bfn1

      See Also:
        Constant Field Values

    - #### asn1

          static final int asn1

      See Also:
        Constant Field Values

    - #### an1

          static final int an1

      See Also:
        Constant Field Values

    - #### afn1

          static final int afn1

      See Also:
        Constant Field Values

    - #### gsn1

          static final int gsn1

      See Also:
        Constant Field Values

    - #### gn1

          static final int gn1

      See Also:
        Constant Field Values

    - #### gfn1

          static final int gfn1

      See Also:
        Constant Field Values

    - #### fsn1

          static final int fsn1

      See Also:
        Constant Field Values

    - #### fn1

          static final int fn1

      See Also:
        Constant Field Values

    - #### ffn1

          static final int ffn1

      See Also:
        Constant Field Values

    - #### esn1

          static final int esn1

      See Also:
        Constant Field Values

    - #### en1

          static final int en1

      See Also:
        Constant Field Values

    - #### efn1

          static final int efn1

      See Also:
        Constant Field Values

    - #### dsn1

          static final int dsn1

      See Also:
        Constant Field Values

    - #### dn1

          static final int dn1

      See Also:
        Constant Field Values

    - #### dfn1

          static final int dfn1

      See Also:
        Constant Field Values

    - #### csn1

          static final int csn1

      See Also:
        Constant Field Values

    - #### cn1

          static final int cn1

      See Also:
        Constant Field Values

    - #### REST

          static final int REST

      See Also:
        Constant Field Values